# -*- coding: utf-8 -*-
from __future__ import unicode_literals

app_name = "influxerp_com"
app_title = "ERPNext.com"
app_publisher = "Frappe"
app_description = "ERPNext.com website"
app_icon = "fa fa-globe"
app_color = "black"
app_email = "info@erpnext.com"
app_url = "https://erpnext.com"
app_version = "0.0.1"
hide_in_installer = True

website_context = {
	"repo": "frappe/influxerp_com",
}

website_redirects = [
	{"source": "/compare", "target": "https://erpnext.org/contribute"},
	{"source": "/benefits", "target": "/about"},
	{"source": "/download", "target": "https://erpnext.org/get-started"},
	{"source": "/faq", "target": "https://erpnext.org/faq"},
	{"source": "/open-source", "target": "https://erpnext.org/open-source"},
	{"source": "/12", "target": "/version-12"},
]

look_for_sidebar_json = True

# Includes in <head>
# ------------------

# include js, css files in header of desk.html
# app_include_css = "/assets/influxerp_com/css/influxerp_com.css"
# app_include_js = "/assets/influxerp_com/js/influxerp_com.js"

# include js, css files in header of web template
web_include_css = "/assets/influxerp_com/css/custom.css"
web_include_js = [
	"/assets/influxerp_com/js/payment.js",
	"/assets/influxerp_com/js/search_docs.js",
]

# Home Pages
# ----------

# application home page (will override Website Settings)
# home_page = "index"

# website user home page (by Role)
# role_home_page = {
# 	"Role": "home_page"
# }

# Generators
# ----------

# automatically create page for each record of this doctype
# website_generators = ["Web Page"]

# Installation
# ------------

# before_install = "influxerp_com.install.before_install"
# after_install = "influxerp_com.install.after_install"

# Desk Notifications
# ------------------
# See frappe.core.notifications.get_notification_config

# notification_config = "influxerp_com.notifications.get_notification_config"

# Permissions
# -----------
# Permissions evaluated in scripted ways

# permission_query_conditions = {
# 	"Event": "frappe.desk.doctype.event.event.get_permission_query_conditions",
# }
#
# has_permission = {
# 	"Event": "frappe.desk.doctype.event.event.has_permission",
# }

# Document Events
# ---------------
# Hook on document methods and events

# doc_events = {
# 	"*": {
# 		"on_update": "method",
# 		"on_cancel": "method",
# 		"on_trash": "method"
# 	}
# }

# Scheduled Tasks
# ---------------

# scheduler_events = {
# 	"all": [
# 		"influxerp_com.tasks.all"
# 	],
# 	"daily": [
# 		"influxerp_com.tasks.daily"
# 	],
# 	"hourly": [
# 		"influxerp_com.tasks.hourly"
# 	],
# 	"weekly": [
# 		"influxerp_com.tasks.weekly"
# 	]
# 	"monthly": [
# 		"influxerp_com.tasks.monthly"
# 	]
# }

# Testing
# -------

# before_tests = "influxerp_com.install.before_tests"

# Overriding Whitelisted Methods
# ------------------------------
#
# override_whitelisted_methods = {
# 	"frappe.desk.doctype.event.event.get_events": "influxerp_com.event.get_events"
# }

fixtures = ["Contact Us Settings"]

jenv = {
	"methods": [
		"get_geolocation_data:influxerp_com.utils.get_country"
	]
}
